The time has come to remove support for (p)nacl

This commit is contained in:
Frank Denis
2019-02-14 14:41:09 +01:00
parent 83a873ea1b
commit e6aa7e1da4
28 changed files with 7 additions and 516 deletions
-158
View File
@@ -158,158 +158,6 @@ DISTCLEANFILES = \
verify1.res \
xchacha20.res
if NATIVECLIENT
CLEANFILES = \
aead_aes256gcm.final \
aead_aes256gcm2.final \
aead_chacha20poly1305.final \
aead_chacha20poly13052.final \
aead_xchacha20poly1305.final \
auth.final \
auth2.final \
auth3.final \
auth5.final \
auth6.final \
auth7.final \
box.final \
box2.final \
box7.final \
box8.final \
box_easy.final \
box_easy2.final \
box_seal.final \
box_seed.final \
chacha20.final \
codecs.final \
core_ed25519.final \
core1.final \
core2.final \
core3.final \
core4.final \
core5.final \
core6.final \
ed25519_convert.final \
generichash.final \
generichash2.final \
generichash3.final \
hash.final \
hash2.final \
hash3.final \
kdf.final \
keygen.final \
kx.final \
metamorphic.final \
misuse.final \
onetimeauth.final \
onetimeauth2.final \
onetimeauth7.final \
pwhash_argon2i.final \
pwhash_argon2id.final \
pwhash_scrypt.final \
pwhash_scrypt_ll.final \
randombytes.final \
scalarmult.final \
scalarmult_ed25519.final \
scalarmult2.final \
scalarmult5.final \
scalarmult6.final \
scalarmult7.final \
scalarmult8.final \
secretbox.final \
secretbox2.final \
secretbox7.final \
secretbox8.final \
secretbox_easy.final \
secretbox_easy2.final \
secretstream.final \
shorthash.final \
sign.final \
siphashx24.final \
sodium_core.final \
sodium_utils.final \
sodium_version.final \
stream.final \
stream2.final \
stream3.final \
stream4.final \
verify1.final \
xchacha20.final \
aead_aes256gcm.nexe \
aead_aes256gcm2.nexe \
aead_chacha20poly1305.nexe \
aead_chacha20poly13052.nexe \
aead_xchacha20poly1305.nexe \
auth.nexe \
auth2.nexe \
auth3.nexe \
auth5.nexe \
auth6.nexe \
auth7.nexe \
box.nexe \
box2.nexe \
box7.nexe \
box8.nexe \
box_easy.nexe \
box_easy2.nexe \
box_seal.nexe \
box_seed.nexe \
chacha20.nexe \
codecs.nexe \
core_ed25519.nexe \
core1.nexe \
core2.nexe \
core3.nexe \
core4.nexe \
core5.nexe \
core6.nexe \
ed25519_convert.nexe \
generichash.nexe \
generichash2.nexe \
generichash3.nexe \
hash.nexe \
hash2.nexe \
hash3.nexe \
kdf.nexe \
keygen.nexe \
kx.nexe \
metamorphic.nexe \
misuse.nexe \
onetimeauth.nexe \
onetimeauth2.nexe \
onetimeauth7.nexe \
pwhash_argon2i.nexe \
pwhash_argon2id.nexe \
pwhash_scrypt.nexe \
pwhash_scrypt_ll.nexe \
randombytes.nexe \
scalarmult.nexe \
scalarmult_ed25519.nexe \
scalarmult2.nexe \
scalarmult5.nexe \
scalarmult6.nexe \
scalarmult7.nexe \
scalarmult8.nexe \
secretbox.nexe \
secretbox2.nexe \
secretbox7.nexe \
secretbox8.nexe \
secretbox_easy.nexe \
secretbox_easy2.nexe \
secretstream.nexe \
shorthash.nexe \
sign.nexe \
siphashx24.nexe \
sodium_core.nexe \
sodium_utils.nexe \
sodium_version.nexe \
stream.nexe \
stream2.nexe \
stream3.nexe \
stream4.nexe \
verify1.nexe \
xchacha20.nexe
endif
AM_CPPFLAGS = \
-DTEST_SRCDIR=\"@srcdir@\" \
-I$(top_srcdir)/src/libsodium/include \
@@ -390,12 +238,10 @@ TESTS_TARGETS = \
verify1
if !EMSCRIPTEN
if !NATIVECLIENT
TESTS_TARGETS += \
sodium_utils2 \
sodium_utils3
endif
endif
check_PROGRAMS = $(TESTS_TARGETS)
@@ -639,10 +485,6 @@ TESTS_TARGETS += \
xchacha20
endif
if NATIVECLIENT
LOG_COMPILER = ./nacl-test-wrapper.sh
endif
verify: check
@VALGRIND_CHECK_RULES@
-35
View File
@@ -1,35 +0,0 @@
#! /bin/sh
if [ -z "$NACL_SDK_ROOT" ]; then
echo "The following variable needs to be set:
\$NACL_SDK_ROOT=$NACL_SDK_ROOT" >&2
exit 1
fi
if [ -z "$PNACL_FINALIZE" -o -z "$PNACL_TRANSLATE" ]; then
exe="$1"
else
exe="$1.nexe"
if [ ! -f "$exe" ]; then
$PNACL_FINALIZE "$1" -o "$1.final"
$PNACL_TRANSLATE -arch $(uname -m) "$1.final" -o "$exe"
fi
fi
command -v command >/dev/null 2>&1 || {
echo "command is required, but wasn't found on this system" >&2
exit 1
}
command -v python >/dev/null 2>&1 || {
echo "Python not found. Aborting." >&2
exit 1
}
SEL_LDR=$(find "$NACL_SDK_ROOT" -name sel_ldr.py | head -n 1)
if [ -z "$SEL_LDR" ]; then
echo "Couldn't find sel_ldr.py under $NACL_SDK_ROOT" >&2
exit 1
fi
exec python "$SEL_LDR" "$exe"
-6
View File
@@ -42,8 +42,6 @@ randombytes_tests(void)
#ifndef BENCHMARKS
# ifdef __EMSCRIPTEN__
assert(strcmp(randombytes_implementation_name(), "js") == 0);
# elif defined(__native_client__)
assert(strcmp(randombytes_implementation_name(), "nativeclient") == 0);
# else
assert(strcmp(randombytes_implementation_name(), "sysrandom") == 0);
# endif
@@ -129,11 +127,7 @@ randombytes_uniform_impl(const uint32_t upper_bound)
static int
impl_tests(void)
{
#ifndef __native_client__
randombytes_implementation impl = randombytes_sysrandom_implementation;
#else
randombytes_implementation impl = randombytes_nativeclient_implementation;
#endif
uint32_t v = randombytes_random();
impl.uniform = randombytes_uniform_impl;
-17
View File
@@ -4,23 +4,6 @@
/* C++Builder defines a "random" macro */
#undef random
#ifdef __native_client__
# define memset(dst, c, n) xmemset(dst, c, n)
static void *
xmemset(void *dst, int c, size_t n)
{
unsigned char * dst_ = (unsigned char *) dst;
const unsigned char c_ = (unsigned char) c;
size_t i;
for (i = 0; i < n; i++) {
dst_[i] = c_;
}
return dst;
}
#endif
#ifdef __EMSCRIPTEN__
# define strcmp(s1, s2) xstrcmp(s1, s2)